//package com.clx.performance.listener;
//
//import com.clx.performance.constant.RabbitKeyConstants;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.amqp.rabbit.annotation.RabbitListener;
//import org.springframework.stereotype.Component;
//
//@Component
//@Slf4j
//public class OrderGoodsDriverTruckListener {
//
//
//    @RabbitListener(queues = RabbitKeyConstants.ORDER_ON_DEAD_QUEUE)
//    public void onMessage(String message) throws Exception {
//        log.info("处理订单状态由已挂单变为挂弹中监听器执行,订单ID为{}", message);
//        if (StringUtils.isBlank(message)) {
//            return;
//        }
//        OrderInfo orderInfo = orderInfoDao.getByOrderNo(message);
//        if (orderInfo == null) {
//            log.info("处理订单状态由已挂单变为挂弹中监听器未查询到订单数据,消息为{}", message);
//            return;
//        }
//        if (OrderEnum.Status.POST_ORDER.getCode().equals(orderInfo.getOrderStatus())) {
//            log.info("处理订单状态由已挂单变为挂单中监听器执行,从状态{}-----变更为{}", OrderEnum.Status.POST_ORDER.getName(), OrderEnum.Status.ON_ORDER.getName());
//            orderInfoDao.updateOrderStatusById(orderInfo.getId(), OrderEnum.Status.ON_ORDER.getCode());
//        }
//    }
//}
